package Cards;

import Others.IDCard;

/**
 * FidelityCard abstract class.
 *
 * @author Nicolas FLEY et Corentin RAVOUX
 *
 */

public abstract class FidelityCard implements VisitableCard {
	
	protected long id;


	public FidelityCard (){
		IDCard idCard = IDCard.getInstance();
		this.id = idCard.getNextSerialNumber();
	}
	

	public long getId() {
		return id;
	}
	

	@Override
	public String toString() {
		return "FidelityCard [id=" + id + "]";
	}
	
	public abstract String returnType();
	

}
