package DeliveryStrategy;

import java.util.ArrayList;

import User.Courier;
import User.Customer;
import User.Restaurant;

/**
 * Abstract Class of the strategy Delivery
 * 
 * @author Nicolas FLEY et Corentin RAVOUX
 *
 */

public abstract class StrategyDeliveryPolicy {
	
	
	protected String nameOfStrategy;
	
	
	
	public String getNameOfStrategy() {
		return nameOfStrategy;
	}

	public void setNameOfStrategy(String nameOfStrategy) {
		this.nameOfStrategy = nameOfStrategy;
	}


	@Override
	public String toString() {
		return nameOfStrategy ;
	}



	public abstract Courier chooseCourier(Restaurant restaurant, Customer c,ArrayList<Courier> listOfCourier);

}
