package Item;

import Order.HistoricOrder;

/**
 * An item is an abstraction of a meal or a dish.
 * 
 * @author Nicolas FLEY et Corentin RAVOUX
 *
 */

public abstract class Item {
	
	String typeOfFood;
	String name;
	HistoricOrder historic;
	
	/** CONSTRUCTOR **/
	
	public Item(String _name,String _typeOfFood) {
		super();
		this.typeOfFood = _typeOfFood;
		this.name = _name;
	}
	
	/** METHODS **/
	
	
	/** GETTER & SETTER **/
	
	public String getTypeOfFood() {
		return typeOfFood;
	}
	public void setTypeOfFood(String _typeOfFood) {
		this.typeOfFood = _typeOfFood;
	}
	public String getName() {
		return name;
	}
	public void setName(String _name) {
		this.name = _name;
	}
}
