package Item;

/**
 * This Factory allow Restaurant to create generic Meals.
 * 
 * @author Nicolas FLEY et Corentin RAVOUX
 *
 */

public class MealFactory {

	public Meal createMeal(String typeOfMeal, String _name, String _typeOfFood){
		typeOfMeal=typeOfMeal.toLowerCase().trim();
		switch(typeOfMeal){
		case "halfmeal":
			return new HalfMeal(_name,_typeOfFood);
		case "fullmeal":
			return new FullMeal(_name,_typeOfFood);
		}
		return null;
	}

}
