package Others;

/**
 * x,y representation of an adress
 * 
 * @author Nicolas FLEY et Corentin RAVOUX
 *
 */

public class Adress {
	
	private double x;
	private double y;
	
	
	public Adress(double x, double y) {
		super();
		this.x = x;
		this.y = y;
	}


	public double getX() {
		return x;
	}


	public void setX(double x) {
		this.x = x;
	}


	public double getY() {
		return y;
	}


	public void setY(double y) {
		this.y = y;
	}


	@Override
	public String toString() {
		return "Adress = [" + x + "," + y + "]";
	}
	
	
	public static Adress fromStr(String str){
		String [] arrStr = str.split(",");
		if(arrStr.length==2)
			if(arrStr[0].matches("-?\\d+(\\.\\d+)?") && arrStr[1].matches("-?\\d+(\\.\\d+)?"))
				return new Adress(Double.parseDouble(arrStr[0]),Double.parseDouble(arrStr[1]));
		return new Adress(0,0);
	}

}
