package StrategyProfit;

import Core.MyFoodora;

/**
 * Abstraction of the target profit strategy
 * 
 * @author Nicolas FLEY et Corentin RAVOUX
 *
 */

public abstract class StrategyTargetProfitPolicy {
	protected String nameOfStrategy;
	public abstract void chooseTargetProfit(MyFoodora myFoodora, double targetProfit);
	
	public String getNameOfStrategy() {
		return nameOfStrategy;
	}
	protected void setNameOfStrategy(String nameOfStrategy) {
		this.nameOfStrategy = nameOfStrategy;
	}

	@Override
	public String toString() {
		return nameOfStrategy;
	}
	
	
}
