package Item;

/**
 * Dish are basic item, they are mixed to create meal but Customers
 * are able to chose them.
 * 
 * @author Nicolas FLEY et Corentin RAVOUX
 *
 */

public class Dish extends Item{
	
	private String typeInMeal;
	private double price;
	private long nbOfSell;
	
	/** CONSTURCTOR **/
	
	public Dish(String name, String typeOfFood, double _price) {
		super(name, typeOfFood);
		price = _price;
		this.nbOfSell = 0;
	}
	
	/** GETTER AND SETTER **/
	
	
	
	
	
	public String getTypeInMeal() {
		return typeInMeal;
	}
	public long getNbOfSell() {
		return nbOfSell;
	}

	public void setNbOfSell(long nbOfSell) {
		this.nbOfSell = nbOfSell;
	}

	protected void setTypeInMeal(String _typeInMeal) {
		this.typeInMeal = _typeInMeal;
	}
	public double getPrice() {
		return price;
	}
	public void setPrice(double _price) {
		this.price = _price;
	}
	
	/** OVERRIDE **/
	@Override
	public boolean equals(Object d){
		if(d instanceof Dish){
			Dish dish = (Dish) d;
			if(dish.getPrice()==price && dish.getName()==name && dish.getTypeOfFood()==typeOfFood && dish.getTypeInMeal()==typeInMeal)
				return true;
		}
		return false;
	}
	@Override
	public String toString(){
		String s="";
		s+="\nName : "+name;
		s+=", type of food : "+typeOfFood;
		s+=", type : "+typeInMeal;
		s+=", price : "+price;
		return s;
	}
}
