package Item;

import java.util.ArrayList;
import java.util.Arrays;

/**
 * Type of full meal containing starter, mainDish and dessert.
 * 
 * @author Nicolas FLEY et Corentin RAVOUX
 *
 */

public class FullMeal extends Meal {
	

	public FullMeal(String name, String typeOfFood) {
		super(name, typeOfFood);
		String [][] pattern = {{"Starter"},{"MainDish"},{"Dessert"}};
		this.setPatternTypeInMeal(pattern);
		this.typeOfMeal = "FullMeal";
		this.listDish = new ArrayList<Dish>(Arrays.asList(null, null, null));
	}

}
