package Item;

import java.util.ArrayList;
import java.util.Arrays;

/**
 * Type oh half meal contains MainDish and either starter or dessert.
 * 
 * @author Nicolas FLEY et Corentin RAVOUX
 *
 */

public class HalfMeal extends Meal {


	protected String typeOfFood;
	
	public HalfMeal(String name, String typeOfFood) {
		super(name, typeOfFood);
		String [][] pattern = {{"Starter","Dessert"},{"MainDish"}};
		this.setPatternTypeInMeal(pattern);
		this.typeOfMeal = "HalfMeal";
		this.listDish = new ArrayList<Dish>(Arrays.asList(null, null));
	}

}
