package Order;

import java.util.ArrayList;
import java.util.Collections;

/**
 * A generic historic of order, used by some users and foodora.
 * 
 * @author Nicolas FLEY et Corentin RAVOUX
 *
 */

public class HistoricOrder {
	
	private ArrayList<Order> listOrder;
	
	public HistoricOrder() {
		listOrder = new ArrayList<Order>();
	}
	public void addOrder(Order o){
		listOrder.add(o);
	}
	public ArrayList<Order> getOrdered(){
		Collections.sort(listOrder);
		return listOrder;
	}
	@Override
	public String toString() {
		return "HistoricOrder [listOrder=" + listOrder + "]";
	}
	public ArrayList<Order> getListOrder() {
		return listOrder;
	}
	
	
	

}
