package Others;

/**
 * Personal representation of an date.
 * 
 * @author Nicolas FLEY et Corentin RAVOUX
 *
 */

@SuppressWarnings("Changed by java.util.Date")
public class Date {
	
	private String year,month,day;

	/** CONSTRUCTOR **/
	
	public Date(String year, String month, String day) {
		super();
		this.year = year;
		this.month = month;
		this.day = day;
	}
	public Date(int year, int month, int day) {
		super();
		this.year = Integer.toString(year);
		this.month = Integer.toString(month);
		if(this.month.length()<2)
			this.month="0"+this.month;
		this.day = Integer.toString(day);
		if(this.day.length()<2)
			this.day="0"+this.day;
	}
	
	/** CUSTOM **/

	/** GETTER & SETTER **/
	
	public String getYear() {
		return year;
	}
	public void setYear(String year) {
		this.year = year;
	}
	public String getMonth() {
		return month;
	}

	public void setMonth(String month) {
		this.month = month;
	}

	public String getDay() {
		return day;
	}

	public void setDay(String day) {
		this.day = day;
	}
	
	public int getIntDay(){
		int day = Integer.parseInt(this.day);
		return day;
	}
	
	public int getIntMonth(){
		int month = Integer.parseInt(this.month);
		return month;
	}
	
	public int getIntYear(){
		int year = Integer.parseInt(this.year);
		return year;
	}
	
	/** OVERRIDE **/
	
	@Override
	public String toString() {
		return "Date dd/mm/yyyy : " + day + "/" + month + "/" + year ;
	}
	
	public int compareTo(Others.Date date) {
		if(date.getIntYear() < this.getIntYear())
			return 1;
		else if(date.getIntMonth() < this.getIntMonth())
			return 1;
		else if(date.getIntDay() < this.getIntDay())
			return 1;
		else if(date.getIntYear() > this.getIntYear())
			return -1;
		else if(date.getIntMonth() > this.getIntMonth())
			return -1;
		else if(date.getIntDay() > this.getIntDay())
			return -1;
		return 0;
	}
}
