package Others;

/**
 * Allow to create unique numbers, especially usefull when creating new
 * fidelity cards.
 * 
 * @author Nicolas FLEY et Corentin RAVOUX
 *
 */

public class IDCard {
	
	
	private static IDCard instance = null;
	
	private static long num;
	
	private IDCard(){}
	
	public static IDCard getInstance() { 
		if (instance==null) { 
			instance = new IDCard();
			}
		return instance;
	}
	public long getNextSerialNumber(){ 
		return num++;
	}
	
	}
	
