package UserFactoryPattern;

import Exception.ExceptionUnknownTypeOfUser;
import Others.Adress;
import User.HumanUser;
import User.MoralUser;
import User.Restaurant;

/**
 * Allow to create generic non human users.
 * 
 * @author Nicolas FLEY et Corentin RAVOUX
 *
 */

public class MoralUserFactory extends UserFactory {

	@Override
	public HumanUser createHumanUser(long phoneNumber, String name, String username, String mail, String password,
			Adress adress, boolean activated, String birthdayDate, String surname, int typeOfUser) {
		return null;
	}

	@Override
	public MoralUser createMoralUser(long phoneNumber, String name, String username, String mail, String password,
			Adress adress, boolean activated, int typeOfUser) throws ExceptionUnknownTypeOfUser {
		if(typeOfUser == RESTAURANT){
			Restaurant restaurant = new Restaurant(phoneNumber, name, username, mail, password,
			adress, activated);
			return restaurant;
		}
		else {
			throw new ExceptionUnknownTypeOfUser("Error, '"+typeOfUser+"' is unkwon, try Restaurant" + RESTAURANT);
		}
		
	}




}
